Page MenuHomePhabricator

Math Selenium test fails with unable to locate element, using {:id=>"wpTextbox1", :tag_name=>"textarea"} (Watir::Exception::UnknownObjectException)
Closed, ResolvedPublic

Description

Both Chrome and Firefox fail with the same error message:

00:00:08.453   Scenario: Display simple math                    # features/math.feature:15
00:00:25.327     Given I am logged in                           # mediawiki_selenium-1.6.5/lib/mediawiki_selenium/step_definitions/login_steps.rb:1
00:00:25.327     And I am at page that does not exist           # features/step_definitions/math_steps.rb:13
00:00:25.327     When I click link Create                       # features/step_definitions/math_steps.rb:17
00:00:25.327     And I type <math>3 + 2</math>                  # features/step_definitions/math_steps.rb:25
00:00:25.328       unable to locate element, using {:id=>"wpTextbox1", :tag_name=>"textarea"} (Watir::Exception::UnknownObjectException)

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to Normal.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added projects: Math, Browser-Tests.
zeljkofilipin added a subscriber: zeljkofilipin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2016, 3:40 PM

Change 269709 had a related patch set uploaded (by Zfilipin):
Fixed broken Selenium test

https://gerrit.wikimedia.org/r/269709

zeljkofilipin set Security to None.Feb 10 2016, 4:23 PM
zeljkofilipin added subscribers: hashar, dduvall.

Change 269709 merged by jenkins-bot:
Fixed broken Selenium test

https://gerrit.wikimedia.org/r/269709

hashar moved this task from Incoming to Doing on the Math board.Feb 16 2016, 8:54 AM

@hashar: I have noticed that the tests are still failing :( will investigate today.

Change 271757 had a related patch set uploaded (by Zfilipin):
Fixed failing Selenium test

https://gerrit.wikimedia.org/r/271757

Change 271757 merged by jenkins-bot:
Fixed failing Selenium test

https://gerrit.wikimedia.org/r/271757

zeljkofilipin closed this task as Resolved.Feb 22 2016, 10:09 AM

The single test is passing now:

Project browsertests-Math-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce build #825: FIXED in 34 sec: https://integration.wikimedia.org/ci/job/browsertests-Math-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/825/

Was due to the default editor on enwiki for logged in users to be VisualEditor when the test expects source editor. Zeljko changed the test to use an anonymous user which default to source edit for now. Good enough.